NET_WaitUntilResolved(3)

NAME
NET_WaitUntilResolved - Block until an address is resolved.

SYNOPSIS
#include <SDL3_net/SDL_net.h>

NET_Status NET_WaitUntilResolved(NET_Address *address, Sint32 timeout);

DESCRIPTION
The NET_Address objects returned by NET_ResolveHostname take time to do their work, so it does so _asynchronously_ instead of making your program wait an indefinite amount of time.

However, if you want your program to sleep until the address resolution is complete, you can call this function.

This function takes a timeout value, represented in milliseconds, of how long to wait for resolution to complete. Specifying a timeout of -1 instructs the library to wait indefinitely, and a timeout of 0 just checks the current status and returns immediately (and is functionally equivalent to calling NET_GetAddressStatus).

Resolution can fail after some time (DNS server took awhile to reply that the hostname isn't recognized, etc), so be sure to check the result of this function instead of assuming it worked!

Once an address is successfully resolved, it can be used to connect to the host represented by the address.

If you don't want your program to block, you can call NET_GetAddressStatus from time to time until you get a non-zero result.

FUNCTION PARAMETERS

address
    The NET_Address object to wait on.

timeout
    Number of milliseconds to wait for resolution to complete. -1 to wait indefinitely, 0 to check once without waiting.

RETURN VALUE
Returns NET_SUCCESS if successfully resolved, NET_FAILURE if resolution failed, NET_WAITING if still resolving (this function timed out without resolution); if NET_FAILURE, call SDL_GetError() for details.

THREAD SAFETY
It is safe to call this function from any thread, and several threads can block on the same address simultaneously.

AVAILABILITY
This function is available since SDL_net 3.0.0.

SEE ALSO
NET_GetAddressStatus(3)